AMQPExchange::setArgument
AMQPExchange::setFlags
AMQPExchange
PHP Manual

# AMQPExchange::setArguments

(PECL amqp >= Unknown)

AMQPExchange::setArguments — Set all arguments on the exchange

### Description

public void AMQPExchange::setArguments ( array `$arguments` )

Set all arguments on the given exchange. All other argument settings will be wiped.

### Parameters

`arguments`

  An array of key/value pairs of arguments.

### Return Values

Returns `TRUE` on success or `FALSE` on failure.

AMQPExchange::setArgument
AMQPExchange::setFlags
AMQPExchange
PHP Manual